Open Lighting Architecture: ola::rdm::CommandPrinter Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::CommandPrinter Class Reference

## Public Member Functions
| CommandPrinter (std::ostream *output, class PidStoreHelper *pid_helper)
void | Print (const class RDMCommand *command, bool summarize=false, bool unpack_param_data=true)
void | Print (const class RDMRequest *request, bool summarize=false, bool unpack_param_data=true)
void | Print (const class RDMResponse *response, bool summarize=false, bool unpack_param_data=true)
void | Print (const class RDMDiscoveryRequest *request, bool summarize=false, bool unpack_param_data=true)
void | Print (const class RDMDiscoveryResponse *response, bool summarize=false, bool unpack_param_data=true)
void | DisplayRequest (const class RDMRequest *request, bool summarize=false, bool unpack_param_data=true)
void | DisplayResponse (const class RDMResponse *response, bool summarize=false, bool unpack_param_data=true)
void | DisplayDiscoveryRequest (const class RDMDiscoveryRequest *request, bool summarize=false, bool unpack_param_data=true)
void | DisplayDiscoveryResponse (const class RDMDiscoveryResponse *response, bool summarize=false, bool unpack_param_data=true)

## Constructor & Destructor Documentation

## ◆ CommandPrinter()

ola::rdm::CommandPrinter::CommandPrinter | ( | std::ostream * | output,
|  | class PidStoreHelper * | pid_helper )

Constructor

Parameters

  output | the ostream to write to.
  pid_helper | a pointer to a PidStoreHelper object

## Member Function Documentation

## ◆ DisplayDiscoveryRequest()

void ola::rdm::CommandPrinter::DisplayDiscoveryRequest | ( | const class RDMDiscoveryRequest * | request,
|  | bool | summarize = false,
|  | bool | unpack_param_data = true )

Write out a RDM discovery request

Parameters

  request | the request to format
  summarize | enable the one line summary
  unpack_param_data | if the summary isn't enabled, this controls if we unpack and display parameter data.

## ◆ DisplayDiscoveryResponse()

void ola::rdm::CommandPrinter::DisplayDiscoveryResponse | ( | const class RDMDiscoveryResponse * | response,
|  | bool | summarize = false,
|  | bool | unpack_param_data = true )

Write out a RDM discovery response.

Parameters

  response | the response to format.
  summarize | enable the one line summary
  unpack_param_data | if the summary isn't enabled, this controls if we unpack and display parameter data.

## ◆ DisplayRequest()

void ola::rdm::CommandPrinter::DisplayRequest | ( | const class RDMRequest * | request,
|  | bool | summarize = false,
|  | bool | unpack_param_data = true )

Write out a RDM Request

Parameters

  request | the request to format
  summarize | enable the one line summary
  unpack_param_data | if the summary isn't enabled, this controls if we unpack and display parameter data.

## ◆ DisplayResponse()

void ola::rdm::CommandPrinter::DisplayResponse | ( | const class RDMResponse * | response,
|  | bool | summarize = false,
|  | bool | unpack_param_data = true )

Write out a RDM Response

Parameters

  response | the response to format
  summarize | enable the one line summary
  unpack_param_data | if the summary isn't enabled, this controls if we unpack and display parameter data.

The documentation for this class was generated from the following files:

- include/ola/rdm/CommandPrinter.h
- common/rdm/CommandPrinter.cpp